Bug 237258 - Package installs applications to /var/www
Package installs applications to /var/www
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: otrs (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: mail@romal.de
Fedora Extras Quality Assurance
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-20 10:18 EDT by Ralf Corsepius
Modified: 2009-07-14 13:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:10:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2007-04-20 10:18:29 EDT
Description of problem:
Package installs applications to /var/www

This violates the "Web Applications" rules as documented in:
http://fedoraproject.org/wiki/Packaging/Guidelines?#head-5d1681fa7cf3714ad490fbf7c095a0cfe16da27f

Version-Release number of selected component (if applicable):
otrs-2.1.5-2.fc6
Comment 1 Mike McGrath 2007-04-20 10:24:50 EDT
OTRS is odd in that much of its files are actually .pm files which are to be
edited and altered.  Where should I put them?  I've always been under the
impression that items that go in /usr/share/ are to remain static, and many of
these files are sort of a mix between content and config.
Comment 2 Ralf Corsepius 2007-04-20 10:39:03 EDT
(In reply to comment #1)
> OTRS is odd in that much of its files are actually .pm files which are to be
> edited and altered.  Where should I put them?
Depends on what they are used to.

Are they dynamically/automatically created ("persistent storage")?
=> /var/lib<somewhere>

Are they caches (can be deleted at any time and will be automatically re-created)
=> /var/lib/<somewhere> or /var/cache/<somewhere>

Are they config-files (supposed to be manually customized)?
=> /etc/<somewhere>

Are they static perl-modules (sub-modules of the "application")?
=> /usr/share/<somewhere> or /usr/lib/<somewhere> or even
/usr/share/perl<perl-directory-hierarchy>

[All with <somewhere> = <package>]

> I've always been under the
> impression that items that go in /usr/share/ are to remain static, and many of
> these files are sort of a mix between content and config.

<sigh/> I am not sufficiently familiar with otrs to provide you with concrete
advice in this particular case. Only so far I had (and am having) similar issues
with rt3 and ended up with a fairly complex mixture of all of what I said above
(cf. the rt3 package for details).

Comment 3 Bug Zapper 2008-04-03 20:11:36 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Bug Zapper 2008-05-06 21:31:45 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp
Comment 5 Bug Zapper 2008-05-13 22:47:29 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Mike McGrath 2008-09-28 22:06:53 EDT
I'm assigning this to romal, he's the current owner.
Comment 7 Bug Zapper 2009-06-09 18:33:15 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 13:10:27 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.